SkirentalFrontendApi::Engine.routes.draw do
    scope 'api' do
        scope 'v1' do
            get  "/shop/:shop_id/show/:lang"                                                                                    => "shop_data#show"
            get  "/shop/:shop_id/product_categories/:lang"                                                                      => "shop_data#product_categories"
            get  "/shop/:shop_id/product_categories/:product_category_id/packages/:start/:duration/:customer_group_id/:lang"    => "shop_data#packages"
            get  "/shop/:shop_id/product_categories/:product_category_id/products/:start/:duration/:customer_group_id/:lang"    => "shop_data#products"
            get  "/shop/:shop_id/all_categories_with_packages_and_products/:start/:duration/:lang"                              => "shop_data#all_categories_with_packages_and_products"
            get  "/shop/:shop_id/metrics/:metric_type/:lang"                                                                    => "shop_data#metrics"
            get  "/shop/:shop_lic/availability/:date/:product_id"                                                               => "shop_data#availability"
            get  "/shop/:shop_id/availability_variants/:product_id/:from_date/:until_date"                                      => "shop_data#availability_variants"
            get  "/shop/:shop_id/availability_variants/list/:product_id/:from_date/:until_date"                                 => "shop_data#availability_variants_list"
            get  "/shop/:shop_lic/availability_variant_explanation/:product_id/:lang"                                           => "shop_data#availability_variant_explanation"

            get  "/booking/:shop_id/context/:session_id" => "bookings#context"
            post "/booking/:shop_id/context/:session_id" => "bookings#create"
            put  "/booking/:shop_id/context/:session_id" => "bookings#update"
            get  "/booking/:shop_id/updatability/:session_id" => "bookings#updatability"
            get  "/booking/:shop_id/accept/:session_id" => "bookings#accept"
            get  "/booking/:shop_id/signing_url/:session_id" => "bookings#signing_url"
            get  "/booking/:shop_id/signature_state/:session_id" => "bookings#signature_state"
            put  "/booking/:shop_id/signature_invalidate/:session_id" => "bookings#signature_invalidation"

            get  "/i18n/:lang" => "i18n#show"
            get  "/i18n/:lang/:shop_id" => "i18n#show"
        end
    end

end
